%define bname qalculate

Summary:	A very versatile desktop calculator
Name:		qalculate-gtk
Version:	0.9.9
Release:	%mkrel 2
License:	GPLv2+
Group:		Office
URL:		http://qalculate.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/qalculate/%{name}-%{version}.tar.xz
#Patch1:		qalculate-gtk-0.9.6-fix-str-fmt.patch
BuildRequires:	%{_lib}qalculate-devel >= %{version}
BuildRequires:	libglade2-devel
BuildRequires:	gtk3-devel
BuildRequires:	imagemagick
BuildRequires:	scrollkeeper
BuildRequires:	perl(XML::Parser)
BuildRequires:	desktop-file-utils
#BuildRequires:	%{_lib}gnome2_0-devel
Requires(pre):	scrollkeeper
Requires:	gnuplot
Requires:	wget
Obsoletes:	qalculate < %{version}
Provides:	qalculate = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry 
(although it supports optional traditional buttons). 
This package provides the GTK frontend.

%prep
%setup -q
#%%patch1 -p0

%build

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

#menu
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

#icons 
convert -size 48x48 data/%{bname}.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -size 32x32 data/%{bname}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png 
convert -size 16x16 data/%{bname}.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#(tpg) drop icon extension
sed -i -e 's/^Icon=%{bname}.png$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*


#mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/qalculate-gtk
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-Office-Accessories;X-MandrivaLinux-MoreApplications-Sciences-Mathematics;Science;Math; 
EOF


##CAE rm symlink so both gtk and kde frontend are installable
rm -f %{buildroot}%{_bindir}/qalculate

%find_lang %{name} --with-gnome

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%update_scrollkeeper
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_scrollkeeper
%clean_icon_cache hicolor
 
%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}
%{_datadir}/applications/*
%{_datadir}/appdata/qalculate-gtk.appdata.xml
%{_datadir}/qalculate-gtk/ui/*.ui
%exclude %{_datadir}/pixmaps/*.png
%dir %{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png



%changelog
* Wed Dec 21 2016 adrianomorselli <adrianomorselli> 0.9.9-2uplos2016
- rebuild with old automake and libtool

* Sun Dec 18 2016 adrianomorselli <adrianomorselli> 0.9.9-1uplos2016
- rebuild

* Sat Aug 06 2016 Galen Seaman <gseaman at charter.net> 0.9.9-1gseaman2016
- 0.9.9

* Thu May 03 2012 Neal <nealbrks0 at gmail dot com> 0.9.7-3pclos2012
- process

* Wed May 02 2012 Galen Seaman <gseaman@clear.net> 0.9.7-3pclos2012
- adapted for 64bit

* Sat Nov 27 2010 Texstar <texstar at gmail.com> 0.9.7-2pclos2010
- convert source to tar.xz

* Wed Nov 25 2010 MBantz <martin dot bantz at gmail dot com> 0.9.7-1pclos2010
- Amended to PCLinuxOS from tpg at mandriva dot org
